Update Work Pool
curl --request PATCH \
--url https://api.example.com/work_pools/{name} \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"is_paused": true,
"base_job_template": {},
"concurrency_limit": 1,
"storage_configuration": {
"bundle_upload_step": {},
"bundle_execution_step": {},
"default_result_storage_block_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
'import requests
url = "https://api.example.com/work_pools/{name}"
payload = {
"description": "<string>",
"is_paused": True,
"base_job_template": {},
"concurrency_limit": 1,
"storage_configuration": {
"bundle_upload_step": {},
"bundle_execution_step": {},
"default_result_storage_block_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
description: '<string>',
is_paused: true,
base_job_template: {},
concurrency_limit: 1,
storage_configuration: {
bundle_upload_step: {},
bundle_execution_step: {},
default_result_storage_block_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
}
})
};
fetch('https://api.example.com/work_pools/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Work Pools
Update Work Pool
Update a work pool
PATCH
/
work_pools
/
{name}
Update Work Pool
Headers
Path Parameters
The work pool name
Body
application/json
Data used by the Prefect REST API to update a work pool.
Response
Successful Response
Was this page helpful?
⌘I